Subject: Re: [eppext] Working Group Last call for draft-ietf-eppext-launchphase

From: James Galvin <[email-masked]>
Date: Wed, 4 Nov 2015 15:06:31 -0500

This issue raised by Rik Ribbers has not been addressed by the working 
group.  Would the authors, and any one from the working group please 
comment?  Rik's suggestion seems reasonable to me but I would like to 
see confirmation from the authors.

With this suggestion address this document is ready to move forward. 
However, it is dependent on draft-ietf-eppext-tmch-func-spec/, so I'd 
like to hold it in the working group and submit these two documents 
together.

In addition to the change suggested above, we need a document shepherd 
to move this forward.  Would anyone like to volunteer?

Jim

On 7/21/15 10:28 AM, Rik Ribbers wrote:
> All,
>
> I finished the review. There is one issue that I raised earlier that (imho) needs some more clarification in the document.
>
> See http://www.ietf.org/mail-archive/web/eppext/current/msg00585.html
>
> We have interpreted section 2.3 different then the other implementers with respect to the normal or vanilla (as Alexander suggested) domain check.
>
> Having fully re-read the draft I am not sure if this issue should be addressed here or in the lozano functional specification
> (https://datatracker.ietf.org/doc/draft-lozano-tmch-func-spec/). However the last is expired and not getting any attention. In this draft there are several requirements concerning Domain Registration, there are no requirements concerning Domain Availability. So if nothing is specified the vanilla domain check can be used.
>
> However section 2.3 suggest one MUST provide a launchphase...... so what to do....
>
> My suggestion is to add a few wording (slightly different then my previous proposal):
>
> ** old **
> The <launch:phase> element MUST be included by the client to define the target launch phase of the command.
>
> ** new **
> The <launch:phase> element MUST be included by the client to define the target launch phase of the command when using this EPP extension.
>
> Gr,
> Rik
>
>
> -----Original Message-----
> From: EppExt [mailto:[email-masked]] On Behalf Of Antoin Verschuren
> Sent: maandag 20 juli 2015 22:02
> To: [email-masked]
> Subject: [eppext] Working Group Last call for draft-ietf-eppext-launchphase
>
> Greetings,
>
> This is the starting of the WGLC on the Launch Phase Mapping for the Extensible Provisioning Protocol (EPP).
> There was extensive discussion on the mailing list, an we believe the outcome is incorporated in the document and is ready for WGLC.
> The current version of this document can be found here:
>
>    https://www.ietf.org/id/draft-ietf-eppext-launchphase-05.txt
>
> We'll have a 1,5 week period for comments, closing on Friday, 31 July 2015.
>
> During last call the chairs are looking for a document shepherd for this document.
> If you're interested, please contact the chairs. The document authors can not be the shepherd.
>
> thanks,
>
> - --
> Antoin Verschuren
>
> Tweevoren 6, 5672 SB Nuenen, NL
> M: +31 6 37682392
> xmpp:[email-masked]
>
>
>
>
> _______________________________________________
> EppExt mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/eppext
>

---

From: "Gould, James" <[email-masked]>
Date: Wed, 4 Nov 2015 20:19:47 +0000

Yes, this is stealing my thunder from the meeting, but I agree that they need to be moved up together.  I would actually move these two as well as the smd draft up together.

Sent from my iPhone

> On Nov 4, 2015, at 3:06 PM, James Galvin <[email-masked]> wrote:
> 
> This issue raised by Rik Ribbers has not been addressed by the working group.  Would the authors, and any one from the working group please comment?  Rik's suggestion seems reasonable to me but I would like to see confirmation from the authors.
> 
> With this suggestion address this document is ready to move forward. However, it is dependent on draft-ietf-eppext-tmch-func-spec/, so I'd like to hold it in the working group and submit these two documents together.
> 
> In addition to the change suggested above, we need a document shepherd to move this forward.  Would anyone like to volunteer?
> 
> Jim
> 
> 
> 
> 
> 
>

---

From: James Galvin <[email-masked]>
Date: Wed, 4 Nov 2015 15:30:16 -0500

The draft-ietf-eppext-tmch-smd draft is in "AD evaluation" state, i.e., 
it has already been submitted. Barry will comment on the details of its 
status during the meeting.

What is your response to Rik's suggested change?

Thanks,

Jim

---

From: "Gould, James" <[email-masked]>
Date: Thu, 5 Nov 2015 13:23:10 +0000

Hi,

For some reason I didn’t see Rik’s latest posting ( http://mailarchive.ietf.org/arch/msg/eppext/UvQWpcfS3aDkO3ccksT9X0N6EbI ).

I replied to the original launchphase + domain check thread with the following ( http://mailarchive.ietf.org/arch/msg/eppext/uFAkm8HsumOmN6SOMOFNSJg3s5o ):

We also support the standard check form for all launch phases.  The launchphase draft extends the domain mapping to define new forms of checks targeted for the launch phases, but there is no intent to disallow the use of the standard availability check defined in the domain mapping.

Considering that this is an extension, it is additive to what it extends.  There is nothing in the draft that is meant to change the behavior of the vanilla availability check as defined in RFC 5731.  I don’t see the need to add clarifying text on what happens when the extension is not used, since the extension only defines what happens when the extension is used.  If the WG agrees that the proposed clarifying text is necessary it can be added.

Feedback is welcome.

Thanks,

—

JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

VerisignInc.com<http://VerisignInc.com>

On Nov 4, 2015, at 3:06 PM, James Galvin <[email-masked]<mailto:[email-masked]>> wrote:

Jim

** old **

** new **

Gr,
Rik

-----Original Message-----
From: EppExt [mailto:[email-masked]] On Behalf Of Antoin Verschuren
Sent: maandag 20 juli 2015 22:02
To: [email-masked]<mailto:[email-masked]>
Subject: [eppext] Working Group Last call for draft-ietf-eppext-launchphase

Greetings,

thanks,

- --
Antoin Verschuren

_______________________________________________
EppExt mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/eppext

---

From: Rik Ribbers <[email-masked]>
Date: Thu, 5 Nov 2015 13:38:57 +0000

Jim,

Thx for digging this up. This is not a big deal for me but I think this could be clarified in the draft. It might help those people who pick up the document right now and start implementing it.

My proposal is: Let the document move on and if for another reason a new version is needed consider adding the few words for clarification.

Gr,
Rik  

> On 05 Nov 2015, at 22:23, Gould, James <[email-masked]> wrote:
> 
> Hi,
> 
> For some reason I didn’t see Rik’s latest posting ( http://mailarchive.ietf.org/arch/msg/eppext/UvQWpcfS3aDkO3ccksT9X0N6EbI <http://mailarchive.ietf.org/arch/msg/eppext/UvQWpcfS3aDkO3ccksT9X0N6EbI> ).  
> 
> I replied to the original launchphase + domain check thread with the following ( http://mailarchive.ietf.org/arch/msg/eppext/uFAkm8HsumOmN6SOMOFNSJg3s5o <http://mailarchive.ietf.org/arch/msg/eppext/uFAkm8HsumOmN6SOMOFNSJg3s5o> ): 
> <BF09FAA4-32D8-46E0-BED0-CD72F43BD6E0[81].png>
> 
> James Gould
> Distinguished Engineer
> [email-masked] <x-msg://4/[email-masked]>
> 
> 703-948-3271
> 12061 Bluemont Way
> Reston, VA 20190
> 
> VerisignInc.com <http://verisigninc.com/>
>> On Nov 4, 2015, at 3:06 PM, James Galvin <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>>> See http://www.ietf.org/mail-archive/web/eppext/current/msg00585.html <http://www.ietf.org/mail-archive/web/eppext/current/msg00585.html>
>>> 
>>> (https://datatracker.ietf.org/doc/draft-lozano-tmch-func-spec/ <https://datatracker.ietf.org/doc/draft-lozano-tmch-func-spec/>). However the last is expired and not getting any attention. In this draft there are several requirements concerning Domain Registration, there are no requirements concerning Domain Availability. So if nothing is specified the vanilla domain check can be used.
>>> 
>>> From: EppExt [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Antoin Verschuren
>>> To: [email-masked] <mailto:[email-masked]>
>>>   https://www.ietf.org/id/draft-ietf-eppext-launchphase-05.txt <https://www.ietf.org/id/draft-ietf-eppext-launchphase-05.txt>
>>> 
>>> xmpp:[email-masked] <xmpp:[email-masked]>
>>> 
>>> 
>>> 
>>> 
>> [email-masked] <mailto:[email-masked]>

---

From: "Gould, James" <[email-masked]>
Date: Thu, 5 Nov 2015 14:15:35 +0000

That sounds like a reasonable plan.

Thanks,

—

JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

On Nov 5, 2015, at 8:38 AM, Rik Ribbers <[email-masked]<mailto:[email-masked]>> wrote:

Jim,

Gr,
Rik

On 05 Nov 2015, at 22:23, Gould, James <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

Feedback is welcome.

Thanks,

—

JG

James Gould
Distinguished Engineer
[email-masked]<x-msg://4/[email-masked]>

703-948-3271
12061 Bluemont Way
Reston, VA 20190

VerisignInc.com<http://verisigninc.com/>

Jim

** old **

** new **

Gr,
Rik

-----Original Message-----
From: EppExt [mailto:[email-masked]] On Behalf Of Antoin Verschuren
Sent: maandag 20 juli 2015 22:02
To: [email-masked]<mailto:[email-masked]>
Subject: [eppext] Working Group Last call for draft-ietf-eppext-launchphase

Greetings,

thanks,

- --
Antoin Verschuren